FeedIoBundle is the new rss-atom-bundle

Edit : the bundle is no longer supported, see this announcement

I Recently forked rss-atom-bundle into a fresh new repository on GitHub. I said in my previous post that a 2.0 release of rss-atom-bundle will be released this year and will be maintained until the end of the 3.x branch of Symfony. Well, this is going to happen but rss-atom-bundle 2.x will be released under the name of FeedIoBundle in a different Git repository. And I built the new repository with the old one’s history, so yes this is a fork.

Motivations for the fork

The fork wasn’t mandatory but it is convenient for both users and developers. I decided to fork for the following reasons :

  • the bundle will not carry the core classes anymore. It will be a Bundle made to integrate feed-io’s features into a Symfony project.
  • 1.x branches and 2.x will be completely different, it’s already impossible to merge them.
  • the underlying library is called feed-io, it’s easier to understand FeedIoBundle is its Symfony dedicated bundle. Not the same for rss-atom-bundle.
  • interfaces are so different from each other that accidentally upgrading from 1.5 to 2.x would be a real mess for the user.
Compatibility and maintenance

FeedIoBundle will be compatible with Symfony 2.6 and above, including the 3.x branch. The compatibility board is now as follow :

  • rss-atom-bundle 1.4.x : Symfony < 2.6
  • rss-atom-bundle 1.5.x : Symfony < 3.x
  • FeedIoBundle 1.x : Symfony 2.6+ / 3.x ?

As you can see, FeedIoBundle will be compatible with 3.x and maybe with 2.6 depending on the framework’s evolution.

rss-atom-bundle is still supported until the end of Symfony 2 as I mentioned in the previous post.

Choice between rss-atom-bundle and FeedIoBundle

For now, FeedIoBundle is not stable enough to be used in a project. So if you are starting a new project with Symfony 2, use rss-atom-bundle. If your application is bound to Symfony 3, this is worth taking the risk to use FeedIoBundle as it may become stable before Symfony 3.

When FeedIoBundle will gain its first stable release, the choice will depend on your situation. For new applications, use FeedIoBundle. For existing projects, you may want to migrate from rss-atom-bundle if you need to upgrade to Symfony 3 or if you’re interested in new features provided by FeedIoBundle.

Choosing feed-io

You also can choose to use feed-io directly into your application whether it’s built with Symfony or another framework. I highly recommend this if you only need to consume external feeds or if the project is not a Symfony application.

feed-io is mature enough to be used in a production environment, meanwhile its documentation is not ready to show you how. This is one of the main steps remaining before the 1.0.0 release

What’s next

Most of the features of rss-atom-bundle will be supported by FeedIoBundle soon. Then, I will come across every issues opened in the first bundle to check if FeedIoBundle doesn’t regress.

The first release is to be expected before beginning of the summer.

Advertisements

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s